### Method

# Snapd Snap get_base

since: 1.45

#### Declaration [src]

    const gchar*
    snapd_snap_get_base (
      SnapdSnap* snap
    )

#### Description [src]

Get the base snap this snap uses.

Available since: 1.45

Gets property | `Snapd.Snap:base`

#### Return value

Type: `const gchar*`

A snap name or `NULL` if not set.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.